/*******************************************************************************
 * Licensed Materials - Property of IBM Copyright IBM Corp. 2011 - 2013. 
 * All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/

(function() {
	dojo.provide("psm.common.constants.sadmConstants");
	psm.common.constants.sadmConstants = {
			
		DEFAULT_CONTEXT_PROPERTY: 'saContext',
		DEFAULT_WSNAME_PROPERTY: 'wsName',
		
		SA_IMPORT_TYPE_ALL: '0', 
		SA_IMPORT_TYPE_SELECTED: '1',
		
		SA_IMPORT_HISTORY_IMPORT_ALL:"IMPORTALL",
		SA_IMPORT_HISTORY_IMPORT_SELECTED:"IMPORTSELECTED",
		
		SA_IMPORT_OPTION_UPDATE: '0',
		SA_IMPORT_OPTION_OVERWRITE: '1',
		
		SA_IMPORT_PROGRESS_COMPLETED: 'Completed',
		SA_IMPORT_PROGRESS_WAITING: 'Waiting',
		SA_IMPORT_PROGRESS_RUNNING: 'Running',
		SA_IMPORT_PROGRESS_FAILED: 'Failed',
		SA_IMPORT_PROGRESS_CANCELED: 'Canceled',
		SA_IMPORT_PROGRESS_CANCELING: 'Cancel accepted',
		
		SA_IMPORT_STAGE_START: 'ImportHistory_Stage_GettingDiagram_Msg',
		SA_IMPORT_STAGE_CREATING_MODEL: 'ImportHistory_Stage_CreatingModel_Msg',
		SA_IMPORT_STAGE_CachingDiagram: 'ImportHistory_Stage_CachingDiagram_Msg',
		SA_IMPORT_STAGE_STORING_CACHE: 'ImportHistory_Stage_storingCache_Msg',
		SA_IMPORT_STAGE_SUCCESS: 'ImportHistory_Stage_Successfully_Msg',
		SA_IMPORT_STAGE_CANCELED: 'ImportHistory_Stage_canceled_Msg',
		SA_IMPORT_STAGE_BROKEN: 'ImportHistory_Stage_broken_Msg',
		SA_IMPORT_STAGE_WAITINGREBOOT:'ImportHistory_Stage_WaitingReboot_Msg',
		SA_IMPORT_STAGE_RUNNINGREBOOT:'ImportHistory_Stage_RunningReboot_Msg',
		
		
		SA_IMPORT_HISTORY_LOG_PROCESSED_DIAGRAM_NUMBER: 'ImportHistory_log_processedDiagramNumber_Msg',
		SA_IMPORT_HISTORY_LOG_ADDED_DIAGRAM_NUMBER: 'ImportHistory_log_addedDiagramNumber_Msg',
		SA_IMPORT_HISTORY_LOG_UPDATED_DIAGRAM_NUMBER: 'ImportHistory_log_updatedDiagramNumber_Msg',
		SA_IMPORT_HISTORY_LOG_SKIPPED_DIAGRAM_NUMBER: 'ImportHistory_log_skippedDiagramNumber_Msg',
		SA_IMPORT_HISTORY_LOG_FAILED_DIAGRAM_NUMBER: 'ImportHistory_log_failedDiagramNumber_Msg',
		
		SA_IMPORT_HISTORY_MANUAL_CANCEL_INFO: 'ImportHistory_manualCancelInfo_Msg',
		SA_IMPORT_HISTORY_RESET_CANCEL_INFO: 'ImportHistory_resetCancelInfo_Msg',
		SA_IMPORT_HISTORY_REBOOT_CANCEL_INFO:'ImportHistory_CancelInfo_WaitingReboot_Msg',
		
		//import exceptions
		SADMEXCEPTION_HISTORY_EXECUTION:'SADMException_Execution_Msg',
		SADMEXCEPTION_HISTORY_FAILEDCONNECTSERVER:'SADMException_Execution_FailedConnectServer_Msg',
		SADMEXCEPTION_HISTORY_LINKTOSABROKEN:'SADMException_Execution_LinkToSAServerBroken_Msg',
		SADMEXCEPTION_HISTORY_SADMSHUTDOWN:'SADMException_Execution_SADMShutDown_Msg',
		SADMEXCEPTION_HISTORY_INTERNAL:'SADMException_Execution_Interal_Msg',
		SADMEXCEPTION_HISTORY_SNAPSHOT:'SADMException_Execution_SnapShotAlreadyExist_Msg',
		SADMEXCEPTION_HISTORY_SAPERMISSIONDENIED:'SADMException_Execution_SAPermissionDenied_Msg',
		SADMEXCEPTION_HISTORY_DIAGRAMMODEL:'SADMException_Execution_DiagramModel_Msg',
		SADMEXCEPTION_HISTORY_RUNTIME:'SADMException_Execution_Runtime_Msg',
		
		SA_DOMAIN:"Rational System Architect Diagram Domain",
		SA_IMPORT_SCHEDULE_REPREAT_INTERVAL:"1",
		SA_IMPORT_SCHEDULE_REPEAT_WEEKLY:"2",
		SA_IMPORT_SCHEDULE_REPEAT_OFF:"0",
		SA_IMPORT_DEFAULT_REPEAT_DAYS:"0000000",
		SA_IMPORT_DEFAULT_REPEAT_TIME:"0",
		SA_IMPORT_HISTORY_SCHEDULE_NO_REPEAT:"SCHEDULE_NO_REPEAT",
		SA_IMPORT_HISTORY_SCHEDULE_REPEAT_INTERVAL:"SCHEDULE_INTERVAL",
		SA_IMPORT_HISTORY_SCHEDULE_REPEAT_WEEKLY:"SCHEDULE_REPEAT_WEEKLY",
		SA_PERMISSIONACCESS:"ACCESS",
		SA_PERMISSIONDENIED:"DENIED",
		SA_IMPORT_REQUEST_NOT_EXISTED_MSG:"Resource does not exist",	
		SA_IMPORT_HISTORY_TIME_OUT_MSG:"TimeOut",
		SA_NAMESPACE:"http://jazz.net/ns/sa#",
		CREATED_VARIABLE :"${created}",
		EMPTYSTRING :'',
		AUTO_REFRESH_TIME:10000,
		SA_IMPORT_HISTORY_PAGESIZE:20,
		LEFT_TAG_OF_DOM_NODE:"<",
		RIGHT_TAG_OF_DOM_NODE:">",
		SLASH:"/",

	};
})();			
