/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *|                                                                        |
 *| com.ibm.rational.psm.importer.temp                                     |
 *|                                                                        |
 *| Copyright IBM Corporation 2011-2013.  All Rights Reserved.             |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corporation.          |
 *+------------------------------------------------------------------------+
 */
// NLS_CHARSET=UTF-8
// NLS_MESSAGEFORMAT_NONE
({
	/**
	 * NLS_MESSAGES in Import request page
	 */
	importRequestTitle:"Import Request of Rational System Architect",
	importTaskAddedmessage:"Import request added to the queue successfully.",
	historyViewLink:"Import History",
	selectionSectionTitle:"Diagram Selection",
	scheduleSectionTitle:"Import Schedule",	
	snapshotSectionTitle:"Snapshot",
	importButton: "Import",
	processNow:"Processing...",

	//SA context section
	connectionInformation:"Connection information:",

	//Diagram selection section
	importOptionAll:"Import all diagrams",
	importOptionBySelection:"Import diagrams by selection",
	importOptionBySearch:"Import diagrams by searching",
	searchLoad:"Searching...",
	searchMatchDiagrams:"Matching diagrams:",
	toBeImportedDiagrams:"To be imported diagrams:",
	defaultSearchTip:"Search",
	defaultSearchMessage:"Search...",
	defaultSearchScope:"Rational System Architect diagram",
	addButton:"Add",
	removeButton:"Remove",

	//Schedule Section
	automaticallyRequest:"Automatically request an import by using the following schedule",
	importTime:"Import time",
	repeatInHours:"Repeat import every",
	repeatHours:"hours",
	repeatAt:"At",
	repeatGMT:"GMT",
	monday:"Monday",
	tuesday:"Tuesday",
	wednesday:"Wednesday",
	thursday:"Thursday",
	friday:"Friday",
	saturday:"Saturday",
	sunday:"Sunday",

	//Snapshot Section
	snapshotName:"Name:",
	snapshotInvalidMessage:"Invalid snapshot name: found illegal character '\\'.",
	snapshotDescription:"Description:",
	createSnapshotAfterImport:"Create a snapshot of the project after the import process completes",
	snapshotDetails:"Snapshot Details",
	snapshotNameHelpMessage:"\"${created}\" tag is mandatory for repeat import.",

	/**
	 * NLS_MESSAGES in Import history page
	 */
    import_title:"Import Status",
    historyImg:"History",
	loadingNow:"Loading...",
	refresh:"Refresh",
    column_progress:"Progress",
    column_requester:"Requester",
    column_requesttime:"Request Time",
    column_starttime:"Start Time",
    column_duration:"Duration",
    column_stage:"Stage",
    column_action:"Action",  

    // progress column
    progress_completed:"Completed",
    progress_running:"Running",
    progress_failed:"Failed",
    progress_waiting:"Waiting",
    progress_canceled:"Canceled",
    progress_cancel_accepted:"Cancel accepted",
    // hover dialog on progress
    recordTitle:"Import Request",
    historySelectionDiagramType:"Diagram type:",
    all:"All",
    historySelectionDiagramInstance:"Diagram instance:",
	suspensionPoints:"...",
    historySchedule:"Schedule:",
	repeatNo:"No repeat",
    repeatInterval:"Repeat import every ${intervalTime} ",
    repeatWeeklyDetail:"${week} at ${gmtTime} GMT",
    lastImport:"Last import:",
    firstRecord:"This is the first import record.",
    nextScheduled:"Next import:",
    streamName:"Target workspace:",
    snapshotNameInHistory:"Snapshot name:",

    // Duration column
    day:"day",
    hour:"hour",
    minute:"minute",
    second:"second",
    days:"days",
    hours:"hours",
    minutes:"minutes",
    seconds:"seconds",
    millisecond:"milliseconds",

    // Stage column
    importLogTitle:"Imported diagrams from",
    logTitle:"Import Log",
    stageHoverThDetails:"Diagram Import Summary",
    stageHoverThErrors:"Errors",
    stageHoverThCancelInfo:"Reasons",
	ImportHistory_Stage_GettingDiagram_Msg: 'Retrieving diagrams',
	ImportHistory_Stage_CreatingModel_Msg: 'Creating diagrams',
	ImportHistory_Stage_CachingDiagram_Msg: 'Caching diagram ${processedDiagramNumber} of ${diagramNumbers}',
	ImportHistory_Stage_storingCache_Msg: 'Storing cached diagrams',
	ImportHistory_Stage_Successfully_Msg: 'Import completed',
	ImportHistory_Stage_broken_Msg: 'Import failed',
	ImportHistory_Stage_canceled_Msg: 'Import canceled',
	
	ImportHistory_log_processedDiagramNumber_Msg: 'Processed:',
	ImportHistory_log_addedDiagramNumber_Msg: '- Added:',
	ImportHistory_log_updatedDiagramNumber_Msg: '- Updated:',
	ImportHistory_log_skippedDiagramNumber_Msg: '- Skipped:',
	ImportHistory_log_failedDiagramNumber_Msg: '- Failed:',
	
	ImportHistory_manualCancelInfo_Msg: 'Manually canceled task',
	ImportHistory_resetCancelInfo_Msg: 'Canceled task after reset',
	ImportHistory_CancelInfo_WaitingReboot_Msg:'Waiting task canceled after rebooting',

	//exceptions messages
	
	SADMException_Execution_Msg:'SADM error',
	SADMException_Execution_FailedConnectServer_Msg:'Failed connecting to the System Architect server.',
    SADMException_Execution_LinkToSAServerBroken_Msg:'The link to the System Architect server is broken.',
	SADMException_Execution_SADMShutDown_Msg:'SADM server shut down while importing.',
	SADMException_Execution_Interal_Msg:'An internal error occurred:',
	SADMException_Execution_SnapShotAlreadyExist_Msg:'The snapshot name already exists.',
	SADMException_Execution_SAPermissionDenied_Msg:'Permission is denied to the System Architect server.',
	SADMException_Execution_DiagramModel_Msg:'A Design Management diagram models runtime exception occurred while importing.',
	SADMException_Execution_Runtime_Msg:'Exception occurred during import of SA diagram.  Consult log for more details.',
	// Action column
    deleteButton:"Delete import request",
    cancelButton:"Cancel import",
    permissionDeniedButton: "Permission denied"

});