/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *|                                                                        |
 *| com.ibm.rational.psm.importer.temp                                     |
 *|                                                                        |
 *| Copyright IBM Corporation 2011-2013.  All Rights Reserved.             |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corporation.          |
 *+------------------------------------------------------------------------+
 */
// NLS_CHARSET=UTF-8
// NLS_MESSAGEFORMAT_NONE
({
	//Import request messages;
	request_contextNotSetMessage_summary_CRCSA10001E:"The Rational System Architect encyclopedia URI is required to import diagrams.",
	request_contextNotSetMessage_details_CRCSA10001E:"CRCSA10001E The Rational System Architect encyclopedia URI is not set, configure this in the ${appAdminLink} page.",

	request_contextErrormessage_summary_CRCSA10002E:"Unable to connect to the Rational System Architect server.",
	request_contextErrormessage_details_CRCSA10002E:"CRCSA10002E The Rational System Architect server \"${serverLink}\" is unreachable. Contact Project administrator or reconfigure the Rational System Architect encyclopedia in the ${appAdminLink} page.",
	contextSetlink:"Application Administration",
	
	request_SAEncylopediaAccessDenied_summary_CRCSA10003W:"No diagrams returned.",
	request_SAEncylopediaAccessDenied_details_CRCSA10003W:"CRCSA10003W Check your encyclopedia access permission if you are using an enterprise encyclopedia.",

	request_SAResourceCreationException_summary_CRCSA10004E:"Import is not allowed because of baseline configuration or missing Rational System Architect Diagram Domain.",
    request_SAResourceCreationException_details_CRCSA10004E:"CRCSA10004E - Try to import Rational System Architect diagrams in a workspace configuration; or${line_separator}- Add Rational System Architect Diagram Domain into this project, when it is missed in the project domains.",
	
    request_importPermissionDenied_summary_CRCSA10005E:"Permission Denied:",
	request_importPermissionDenied_details_CRCSA10005E:"CRCSA10005E You don't have permission to perform the following actions: Make an import request.",
	
	request_ScheduleTimeError_summary_CRCSA10006E:"The import's schedule time is invalid. Correct the schedule time.",
	request_ScheduleTimeError_details_CRCSA10006E:"CRCSA10006E - The interval of the repeat import can not be empty; or${line_separator}- No weekday has been selected for the weekly importing.",
    
	//Import history status progress messages
    history_illegalCancelStateExecption_summary_CRCSA10007W: "Error canceling import request.",
    history_illegalCancelStateExecption_details_CRCSA10007W: "CRCSA10007W The import request is no longer available, recommend refreshing this page.",
    
    history_illegalDeleteStateExecption_summary_CRCSA10008W: "Error deleting import request.",
    history_illegalDeleteStateExecption_details_CRCSA10008W: "CRCSA10008W The import request is no longer available, recommend refreshing this page.",
    
    history_cancelOrdeletePermissionDenied_summary_CRCSA10009E: "Permission Denied:",
    history_cancel_deletePermissionDenied_details_CRCSA10009E: "CRCSA10009E You don't have permission to perform the following actions: Make a cancel or delete request.",
	
    request_SnapshotNameError_summary_CRCSA10010E:"Wrong format of snapshot name.",
    request_SnapshotNameError_details_CRCSA10010E:"CRCSA10010E The name of the snapshot must contain the ${created} tag to import the diagram with schedule mode.",
   
    request_SnapshotNameExistError_summary_CRCSA10011E:"Invalid configuration name.",
    request_SnapshotNameExistError_details_CRCSA10011E:"CRCSA10011E This name is already in use, please use a different snapshot name.",

    history_timeoutForDeleteTask_CRCSA10012E:"Timeout exceeded:",
    history_timeoutForDeleteTask_details_CRCSA10012E:"CRCSA10012E The delete request is timeout, recommend refreshing this page.",
    
    //Import admin page error messages
    admin_authorisedToServerError_summary_CRCSA10013E:"User is not authorised to contact Rational System Architect server",
    admin_authorisedToServerError_details_CRCSA10013E:"CRCSA10013E Please check the friend relationship between DM and SA server",
    
    admin_saServerOutOfService_summary_CRCSA10014E:"Rational System Architect server is out of service",
    admin_saServerOutOfService_details_CRCSA10014E:"CRCSA10014E Please check the status of SA server and your networks",
    
	admin_severWrongSelected_summary_CRCSA10015E:"Unavailable Rational System Architect server",
	admin_severWrongSelected_details_CRCSA10015E:"CRCSA10015E Please select one of the available Rational System Architect servers"
});

